<?php session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php'); ?>
<html>
	<style type="text/css">
		#menuListHoriz li {
		  list-style: none;
		  display: inline;/* Es necesario para que los elementos de la lista se situen uno tras otro (horizontalidad) */
		}
		#menuListHoriz li a, #menuList1 li a:focus {
		  list-style: none;
		  background-color: #ffffff;
		  border: 1px solid #2E2E2E;
		  padding:12px;
		  text-decoration: none;
		  color: #000;
		  font-family: Verdana,Arial,Helvetica;
		  font-size: 12px;
		  font-weight:bold;
		}
		#menuListHoriz li a:hover {
		  color: #FF0000;
		  border: 2px solid #2E2E2E;
		  font-size: 12px;
		  font-weight:bold;
		}
	</style> 
	
	<body>	
		<table border=0 cellpadding=0 cellspacing=0 align=center width='100%' style='margin:0 0 0 0px;position:absolute; top:0; left:0;'>
			<tr>
				<td background='images/alto_04.png' width='20%' valign=top>
					<img src="images/alto_01.png">
				</td>
				<td background='images/alto_04.png' width='60%' valign=top align=center>
					<img src="images/alto_02.png">
				</td>
				<td background='images/alto_04.png' width='20%' valign=top>
					<img src="images/alto_03.png">
				</td>
			</tr>	
		</table>	
		<br><br><br><br>
		<?
		$cadena=strtoupper($_SERVER['HTTP_USER_AGENT']);
		//if (strstr($cadena,'FOX')) echo "<br>";
		if (strstr($cadena,'NET')) echo "<br>";
		?>

		<center>
					<ul id="menuListHoriz">
					<?php
						echo '<li><a href="varios_exportar.php?exportar=1"  >Trabajadores</a></li>';
						echo '<li><a href="varios_exportar.php?exportar=2"  >Constantes</a></li>';
						echo '<li><a href="varios_exportar.php?exportar=3"  >Conceptos</a></li>';
						echo '<li><a href="varios_exportar.php?exportar=4"  >Constante Ind.</a></li>';
						echo '<li><a href="varios_exportar.php?exportar=5"  >Tablas</a></li>';
						echo '<li><a href="varios_exportar_islr.php"   >ISLR</a></li>';
						echo '<li><a href="varios_exportar_payroll.php?exportar=8&tabla=payroll4&archivo=RECIBO">N&oacute;minas</a></li>';
					?>
					
					  <li><a href='menu_varios_exportar.php' rel='nofollow'><font color=blue>Regresar</a></li></font>
					</ul> 
				</center>	
		<table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td width='50%'><font size=2 color='black' face='verdana'><a href='menu.php'>[MEN&Uacute; Principal]</a>--><a href='menu_master.php'>[Master]</a>-->[Exportar]</font></td> 
				<td  width='50%' align='right'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table>	
<?		
echo "<hr>";
echo "<font face='verdana' size='2' color='#6E6E6E'>
<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_elimina.png' alt='Elimina'>:Eliminar Usuario	
&nbsp;&nbsp;<img border = 0 src='images/b_edit.png' alt='Modificar'>:Modificar Usuario
</font><br><br>";

$accion=$_REQUEST["accion"];
$codigo=$_REQUEST["codigo"];
$tabla=$_REQUEST["tabla"];
$archivo=$_REQUEST["archivo"];
$exportar=$_REQUEST["exportar"];
echo "<font face='verdana' size=2>";
///////////////////////////////////////////////// MUESTRA LAS TABLAS A EXPORTAR ////////////////////////////////////////////////////////////////
include ("fphp.php");
$enlace=cargar_conexion();
switch ($exportar) {
		case 1:	///////////////////////////////////////////////	TRABAJADORES //////////////////////////////////////////
			echo "<font face='verdana, arial, helvetica, sans-serif' size=4 >Exportar Trabajadores</font>";
			$query="select * from personal";
			$consulta=mysql_query($query) or die ($query);
			$filas=mysql_num_rows($consulta);
			if ($filas==0) {
				echo "La tabla está VACIA...";
			} else {
				echo "
				<form name='entrada' method='POST' action='".$_SERVER['PHP_SELF']."?exportar=1&accion=1&query=$query'>
					<table align='center'><tr><td><input type='submit' value='Exportar trabajadores'></td></tr></table>
				</form>
				<table width = '4000'>
					<tr bgcolor = '#00BFFF'>
						<th align = center><font face='verdana' size=2>C&eacute;dula</font></th>
						<th align = center><font face='verdana' size=2>Apellidos y Nombres</font></th>
						<th align = center><font face='verdana' size=2>Dir. Habitaci&oacute;n</font></th>
						<th align = center><font face='verdana' size=2>Tel&eacute;fono</font></th>
						<th align = center><font face='verdana' size=2>Sexo</font></th>
						<th align = center><font face='verdana' size=2># Hijos</font></th>
						<th align = center><font face='verdana' size=2>Tipo Sangu&iacute;neo</font></th>
						<th align = center><font face='verdana' size=2>Gerencia</font></th>
						<th align = center><font face='verdana' size=2>Departamento</font></th>
						<th align = center><font face='verdana' size=2>Cargo</font></th>
						<th align = center><font face='verdana' size=2>Unidad</font></th>
						<th align = center><font face='verdana' size=2>N&oacute;mina</font></th>
						<th align = center><font face='verdana' size=2>Turno</font></th>
						<th align = center><font face='verdana' size=2>Banco</font></th>
						<th align = center><font face='verdana' size=2>F. Nacimiento</font></th>
						<th align = center><font face='verdana' size=2>F. Ingreso</font></th>
						<th align = center><font face='verdana' size=2>F. Egreso</font></th>
						<th align = center><font face='verdana' size=2>Cuenta</font></th>
						<th align = center><font face='verdana' size=2>Mensaje</font></th>
						<th align = center><font face='verdana' size=2>Salario Diario</font></th>
						<th align = center><font face='verdana' size=2>Salario Mensual</font></th>
						<th align = center><font face='verdana' size=2>Divisi&oacute;n</font></th>
						<th align = center><font face='verdana' size=2>Sector</font></th>
						<th align = center><font face='verdana' size=2>Estado</font></th>
						<th align = center><font face='verdana' size=2>Pago</font></th>
						<th align = center><font face='verdana' size=2>Parroquia</font></th>
						<th align = center><font face='verdana' size=2>Nacionalidad</font></th>
						<th align = center><font face='verdana' size=2>Municipio</font></th>
						<th align = center><font face='verdana' size=2>Area</font></th>
						<th align = center><font face='verdana' size=2>Edo. Civil</font></th>
						<th align = center><font face='verdana' size=2>Tipo</font></th>
						<th align = center><font face='verdana' size=2>Profesi&oacute;n</font></th>
						<th align = center><font face='verdana' size=2>Direcci&oacute;n</font></th>
						<th align = center><font face='verdana' size=2>S.S.O</font></th>
						<th align = center><font face='verdana' size=2>Status</font></th>";
						while ($row = mysql_fetch_array($consulta)) {
							$q8="select * from tablas where codigo = '$row[8]'and tabla='GERENCIA'";
							$c8=mysql_query($q8);
							$f8=mysql_num_rows($c8);
							if ($f8!=0) {$r8=mysql_fetch_array($c8);}
							$q9="select * from tablas where codigo = '$row[9]'and tabla='DEPARTAMENTO'";
							$c9=mysql_query($q9);
							$f9=mysql_num_rows($c9);
							if ($f9!=0) {$r9=mysql_fetch_array($c9);}
							$q10="select * from tablas where codigo = '$row[10]'and tabla='CARGO'";
							$c10=mysql_query($q10);
							$f10=mysql_num_rows($c10);
							if ($f10!=0) {$r10=mysql_fetch_array($c10);}
							$q11="select * from tablas where codigo = '$row[11]'and tabla='UNIDAD'";
							$c11=mysql_query($q11);
							$f11=mysql_num_rows($c11);
							if ($f11!=0) {$r11=mysql_fetch_array($c11);}
							$q12="select * from nomina where codigo = '$row[12]'";
							$c12=mysql_query($q12);
							$f12=mysql_num_rows($c12);
							if ($f12!=0) {$r12=mysql_fetch_array($c12);}
							$q13="select * from tablas where codigo = '$row[13]'and tabla='TURNO'";
							$c13=mysql_query($q13);
							$f13=mysql_num_rows($c13);
							if ($f13!=0) {$r13=mysql_fetch_array($c13);}
							$q14="select * from tablas where codigo = '$row[14]'and tabla='BANCO'";
							$c14=mysql_query($q14);
							$f14=mysql_num_rows($c14);
							if ($f14!=0) {$r14=mysql_fetch_array($c14);}
							$q22="select * from tablas where codigo = '$row[22]'and tabla='DIVISION'";
							$c22=mysql_query($q22);
							$f22=mysql_num_rows($c22);
							if ($f22!=0) {$r22=mysql_fetch_array($c22);}
							$q23="select * from tablas where codigo = '$row[23]'and tabla='SECTOR'";
							$c23=mysql_query($q23);
							$f23=mysql_num_rows($c23);
							if ($f23!=0) {$r23=mysql_fetch_array($c23);}
							$q24="select * from tablas where codigo = '$row[24]'and tabla='ESTADO'";
							$c24=mysql_query($q24);
							$f24=mysql_num_rows($c24);
							if ($f24!=0) {$r24=mysql_fetch_array($c24);}
							$q26="select * from tablas where codigo = '$row[26]'and tabla='PARROQUIA'";
							$c26=mysql_query($q26);
							$f26=mysql_num_rows($c26);
							if ($f26!=0) {$r26=mysql_fetch_array($c26);}
							$q27="select * from tablas where codigo = '$row[27]'and tabla='NACIONALIDAD'";
							$c27=mysql_query($q27);
							$f27=mysql_num_rows($c27);
							if ($f27!=0) {$r27=mysql_fetch_array($c27);}
							$q28="select * from tablas where codigo = '$row[28]'and tabla='MUNICIPIO'";
							$c28=mysql_query($q28);
							$f28=mysql_num_rows($c28);
							if ($f28!=0) {$r28=mysql_fetch_array($c28);}
							$q29="select * from tablas where codigo = '$row[29]'and tabla='AREA'";
							$c29=mysql_query($q29);
							$f29=mysql_num_rows($c29);
							if ($f29!=0) {$r29=mysql_fetch_array($c29);}
							$q30="select * from tablas where codigo = '$row[30]'and tabla='ESTADO CIVIL'";
							$c30=mysql_query($q30);
							$f30=mysql_num_rows($c30);
							if ($f30!=0) {$r30=mysql_fetch_array($c30);}
							$q33="select * from tablas where codigo = '$row[33]'and tabla='DIRECCION'";
							$c33=mysql_query($q33);
							$f33=mysql_num_rows($c33);
							if ($f33!=0) {$r33=mysql_fetch_array($c33);}
							echo "
							<tr bgcolor = '#cdcdcd'>
								<td>$row[0]</td><td>$row[2], $row[1]</td><td>$row[3]</td><td>$row[4]</td><td>$row[5]</td>
								<td>$row[6]</td><td>$row[7]</td><td>$r8[2]</td><td>$r9[2]</td><td>$r10[2]</td>
								<td>$r11[2]</td><td>$r12[1]</td><td>$r13[2]</td><td>$r14[2]</td><td>$row[15]</td>
								<td>$row[16]</td><td>$row[17]</td><td>$row[18]</td><td>$row[19]</td><td>$row[20]</td>
								<td>$row[21]</td><td>$r22[2]</td><td>$r23[2]</td><td>$r24[2]</td><td>$row[25]</td>
								<td>$r26[2]</td><td>$r27[2]</td><td>$r28[2]</td><td>$r29[2]</td><td>$r30[2]</td>
								<td>$row[31]</td><td>$row[32]</td><td>$r33[2]</td><td>$row[34]</td><td>$row[35]</td>
								<td>$row[36]</td>
							</tr>";
						}
				echo "
					</tr>
				</table>";
			}
			break;
		case 2:	///////////////////////////////////////////////	CONSTANTES //////////////////////////////////////////
			echo "<font face='verdana, arial, helvetica, sans-serif' size=4 >Exportar Constantes</font>";
			$query="select * from constante";
			$consulta=mysql_query($query) or die ($query);
			$filas=mysql_num_rows($consulta);
			if ($filas==0) {
				echo "La tabla está VACIA...";
			} else {
				echo "
				<form name='entrada' method='POST' action='".$_SERVER['PHP_SELF']."?exportar=2&accion=2&query=$query'>
					<table align='center'><tr><td><input type='submit' value='Exportar constantes'></td></tr></table>
				</form>
				<table width = '800' align='center'>
					<tr bgcolor = '#00BFFF'>
						<th align = center><font face='verdana' size=2>C&oacute;digo</font></th>
						<th align = center><font face='verdana' size=2>Detalle</font></th>
						<th align = center><font face='verdana' size=2>Unidad</font></th>
						<th align = center><font face='verdana' size=2>Fijo</font></th>";
						while ($row = mysql_fetch_array($consulta)) {
							echo "
							<tr bgcolor = '#cdcdcd'>
								<td>$row[0]</td><td>$row[1]</td><td>$row[2]</td><td>$row[3]</td>
							</tr>";
						}
				echo "
					</tr>
				</table>";
			}
			break;
		case 3:	///////////////////////////////////////////////	CONCEPTOS //////////////////////////////////////////
			echo "<font face='verdana, arial, helvetica, sans-serif' size=4 >Exportar Conceptos</font>";
			$query="select * from concepto";
			$consulta=mysql_query($query) or die ($query);
			$filas=mysql_num_rows($consulta);
			if ($filas==0) {
				echo "La tabla está VACIA...";
			} else {
				echo "
				<form name='entrada' method='POST' action='".$_SERVER['PHP_SELF']."?exportar=3&accion=3&query=$query'>
					<table align='center'><tr><td><input type='submit' value='Exportar conceptos'></td></tr></table>
				</form>
				<table width = '800' align=center>
					<tr bgcolor = '#00BFFF'>
						<th align = center><font face='verdana' size=2>C&oacute;digo</font></th>
						<th align = center><font face='verdana' size=2>Detalle</font></th>
						<th align = center><font face='verdana' size=2>Cuenta</font></th>
						<th align = center><font face='verdana' size=2>Tipo</font></th>
						<th align = center><font face='verdana' size=2>Formula</font></th>
						<th align = center><font face='verdana' size=2>Acumula</font></th>";
						while ($row = mysql_fetch_array($consulta)) {
							echo "
							<tr bgcolor = '#cdcdcd'>
								<td>$row[0]</td><td>$row[1]</td><td>$row[2]</td><td>$row[3]</td><td>$row[4]</td><td>$row[5]</td>
							</tr>";
						}
				echo "
					</tr>
				</table>";
			}
			break;
		case 4:	///////////////////////////////////////////////	CONSTANTE  INDIVIDUAL //////////////////////////////////////////
			echo "<font face='verdana, arial, helvetica, sans-serif' size=4 >Exportar Constantes</font>";
			$query="select * from constante_individual";
			$consulta=mysql_query($query) or die ($query);
			$filas=mysql_num_rows($consulta);
			if ($filas==0) {
				echo "La tabla está VACIA...";
			} else {
				echo "
				<form name='entrada' method='POST' action='".$_SERVER['PHP_SELF']."?exportar=4&accion=4&query=$query'>
					<table align='center'><tr><td><input type='submit' value='Exportar constante individual'></td></tr></table>
				</form>
				<table width = '800' align='center'>
					<tr bgcolor = '#00BFFF'>
						<th align = center><font face='verdana' size=2>C&oacute;digo</font></th>
						<th align = center><font face='verdana' size=2>Cedula</font></th>
						<th align = center><font face='verdana' size=2>N&oacute;mina</font></th>
						<th align = center><font face='verdana' size=2>Monto</font></th>";
						while ($row = mysql_fetch_array($consulta)) {
							echo "
							<tr bgcolor = '#cdcdcd'>
								<td>$row[0]</td><td>$row[1]</td><td>$row[2]</td><td>$row[3]</td>
							</tr>";
						}
				echo "
					</tr>
				</table>";
			}
			break;
		case 5:	///////////////////////////////////////////////	CONSTANTE  INDIVIDUAL //////////////////////////////////////////
			echo "<font face='verdana, arial, helvetica, sans-serif' size=4 >Exportar Estructuras</font>";
			$query="select * from tablas";
			$consulta=mysql_query($query) or die ($query);
			$filas=mysql_num_rows($consulta);
			if ($filas==0) {
				echo "La tabla está VACIA...";
			} else {
				echo "
				<form name='entrada' method='POST' action='".$_SERVER['PHP_SELF']."?exportar=5&accion=5&query=$query'>
					<table align='center'><tr><td><input type='submit' value='Exportar Estructuras'></td></tr></table>
				</form>
				<table width = '800' align='center'>
					<tr bgcolor = '#00BFFF'>
						<th align = center><font face='verdana' size=2>C&oacute;digo</font></th>
						<th align = center><font face='verdana' size=2>Tabla</font></th>
						<th align = center><font face='verdana' size=2>Detalle</font></th>";
						while ($row = mysql_fetch_array($consulta)) {
							echo "
							<tr bgcolor = '#cdcdcd'>
								<td>$row[0]</td><td>$row[1]</td><td>$row[2]</td>
							</tr>";
						}
				echo "
					</tr>
				</table>";
			}
			break;
		case 6:	///////////////////////////////////////////////	CONCEPTOS //////////////////////////////////////////
			echo "<font face='verdana, arial, helvetica, sans-serif' size=4 >Exportar N&oacute;mina</font>";
			$query="select * from nomina";
			$consulta=mysql_query($query) or die ($query);
			$filas=mysql_num_rows($consulta);
			if ($filas==0) {
				echo "La tabla está VACIA...";
			} else {
				echo "
				<form name='entrada' method='POST' action='".$_SERVER['PHP_SELF']."?exportar=6&accion=6&query=$query'>
					<table align='center'><tr><td><input type='submit' value='Exportar n&oacute;mina'></td></tr></table>
				</form>
				<table width = '800' align='center'>
					<tr bgcolor = '#00BFFF'>
						<th align = center><font face='verdana' size=2>C&oacute;digo</font></th>
						<th align = center><font face='verdana' size=2>Detalle</font></th>
						<th align = center><font face='verdana' size=2>Per&iacute;odo</font></th>
						<th align = center><font face='verdana' size=2>Cuenta</font></th>
						<th align = center><font face='verdana' size=2>Tipo</font></th>";
						while ($row = mysql_fetch_array($consulta)) {
							echo "
							<tr bgcolor = '#cdcdcd'>
								<td>$row[0]</td><td>$row[1]</td><td>$row[2]</td><td>$row[3]</td><td>$row[4]</td>
							</tr>";
						}
				echo "
					</tr>
				</table>";
			}
			break;
		case 7:	///////////////////////////////////////////////	CONSTANTE  INDIVIDUAL //////////////////////////////////////////
			echo "<font face='verdana, arial, helvetica, sans-serif' size=4 >Exportar Per&iacute;odo</font>";
			$query="select * from periodo";
			$consulta=mysql_query($query) or die ($query);
			$filas=mysql_num_rows($consulta);
			if ($filas==0) {
				echo "La tabla está VACIA...";
			} else {
				echo "
				<form name='entrada' method='POST' action='".$_SERVER['PHP_SELF']."?exportar=7&accion=7&query=$query'>
					<table align='center'><tr><td><input type='submit' value='Exportar per&iacute;odo'></td></tr></table>
				</form>
				<table width = '800' align='center'>
					<tr bgcolor = '#00BFFF'>
						<th align = center><font face='verdana' size=2>N&oacute;mina</font></th>
						<th align = center><font face='verdana' size=2>Per&iacute;odo</font></th>
						<th align = center><font face='verdana' size=2>Desde</font></th>
						<th align = center><font face='verdana' size=2>Hasta</font></th>";
						while ($row = mysql_fetch_array($consulta)) {
							echo "
							<tr bgcolor = '#cdcdcd'>
								<td>$row[0]</td><td>$row[1]</td><td>$row[2]</td><td>$row[3]</td>
							</tr>";
						}
				echo "
					</tr>
				</table>";
			}
			break;
		case 8:	///////////////////////////////////////////////	PAYROLL  //////////////////////////////////////////
			echo "<font face='verdana, arial, helvetica, sans-serif' size=4 >Exportar PAYROLL</font><br>";
			$query="select * from $tabla";
			$consulta=mysql_query($query) or die ($query);
			$filas=mysql_num_rows($consulta);
			if ($filas==0) {
				echo "La tabla está VACIA...";
			} else {
				echo "
				<form name='entrada' method='POST' action='".$_SERVER['PHP_SELF']."?exportar=8&accion=8&query=$query&tabla=$tabla&archivo=$archivo'>
					<table align='center'><tr><td><input type='submit' value='Exportar PAYROLL'></td></tr></table>
				</form>
				<table width = '1200' align=center>
					<tr bgcolor = '#00BFFF'>
						<th align = center><font face='verdana' size=2>C&eacute;dula</font></th>
						<th align = center><font face='verdana' size=2>Concepto</font></th>
						<th align = center><font face='verdana' size=2>desconcepto</font></th>
						<th align = center><font face='verdana' size=2>Tipo</font></th>
						<th align = center><font face='verdana' size=2>Monto</font></th>
						<th align = center><font face='verdana' size=2>Saldo</font></th>
						<th align = center><font face='verdana' size=2>Cantidad</font></th>
						<th align = center><font face='verdana' size=2>N&oacute;mina</font></th>
						<th align = center><font face='verdana' size=2>Desn&oacute;mina</font></th>
						<th align = center><font face='verdana' size=2>Per&iacute;odo</font></th>
						<th align = center><font face='verdana' size=2>Desper&iacute;odo</font></th>";
						while ($row = mysql_fetch_array($consulta)) {
							echo "
							<tr bgcolor = '#cdcdcd'>
								<td>$row[0]</td><td>$row[1]</td><td>$row[2]</td><td>$row[3]</td><td>$row[4]</td><td>$row[5]</td>
								<td>$row[6]</td><td>$row[7]</td><td>$row[8]</td><td>$row[9]</td><td>$row[10]</td>
							</tr>";
						}
				echo "
					</tr>
				</table>";
			}
			break;
	}
	///////////////////////////////////////////////////	EXPORTAR	////////////////////////////////////////////////////////////////////////////////
	if ($accion==1) {		/////////////////////	TRABAJADORES	//////////////////////////
		$consulta=mysql_query($query) or die ($query);
		$filas=mysql_num_rows($consulta);
		////////////////////////////////////////////////////////
		$archivo= "exportar\TRABAJADORES.xls";
		if (!file_exists($archivo)) {
			$sw=1;
			$cabezera="CEDULA\t APELLIDOS Y NOMBRES\t DIR. HABITACIÓN\t TELÉFONO\t SEXO\t # HIJOS\t TIPO SANGUÍNEO\t GERENCIA\t DEPARTAMENTO\t CARGO\t UNIDAD\t NÓMINA\t TURNO\t BANCO\t F. NACIMIENTO\t F. INGRESO\t F. EGRESO\t CUENTA\t MENSAJE\t SALARIO DIARIO\t SALARIO MENSUAL\t DIVISIÓN\t SECTOR\t ESTADO\t PAGO\t PARROQUIA\t NACIONALIDAD\t MUNICIPIO\t ÁREA\t EDO. CIVIL\t TIPO\t PROFESIÓN\t DIRECCIÓN\t S.S.O\t STATUS\n";
		}
		for ($i=0; $i<=$filas; $i++) {
			$row=mysql_fetch_array($consulta);
			$fila.="$row[0]\t $row[2], $row[1]\t $row[3]\t $row[4]\t $row[5]\t $row[6]\t $row[7]\t $row[8]\t $row[9]\t $row[10]\t $row[11]\t $row[12]\t $row[13]\t $row[14]\t $row[15]\t $row[16]\t $row[17]\t $row[18]\t $row[19]\t $row[20]\t $row[21]\t $row[22]\t $row[23]\t $row[24]\t $row[25]\t $row[26]\t $row[27]\t $row[28]\t $row[29]\t $row[30]\t $row[31]\t $row[32]\t $row[33]\t $row[34]\t $row[35]\t $row[36]\t\n";
		}
		$p=fopen("$archivo","a");
		if($p){
			if ($sw==1){
				fputs($p,$cabezera);
				$sw=0;
			}
			fputs($p,$fila);
		}
		fclose($p);
		$mensaje=1;
	}
	if ($accion==2) {		/////////////////////	CONSTANTES	//////////////////////////
		$consulta=mysql_query($query) or die ($query);
		$filas=mysql_num_rows($consulta);
		////////////////////////////////////////////////////////
		$archivo= "exportar\CONSTANTES.xls";
		if (!file_exists($archivo)) {
			$sw=1;
			$cabezera="CÓDIGO\t DETALLE\t UNIDAD\t FIJO\n";
		}
		for ($i=0; $i<=$filas; $i++) {
			$row=mysql_fetch_array($consulta);
			$fila.="$row[0]\t $row[1]\t $row[2]\t $row[3]\n";
		}
		$p=fopen("$archivo","a");
		if($p){
			if ($sw==1){
				fputs($p,$cabezera);
				$sw=0;
			}
			fputs($p,$fila);
		}
		fclose($p);
		$mensaje=1;
	}
	if ($accion==3) {		/////////////////////	CONCEPTOS	//////////////////////////
		$consulta=mysql_query($query) or die ($query);
		$filas=mysql_num_rows($consulta);
		////////////////////////////////////////////////////////
		$archivo= "exportar\CONCEPTOS.xls";
		if (!file_exists($archivo)) {
			$sw=1;
			$cabezera="CÓDIGO\t DETALLE\t CUENTA\t TIPO\t FORMULA\t ACUMULA\n";
		}
		for ($i=0; $i<=$filas; $i++) {
			$row=mysql_fetch_array($consulta);
			$fila.="$row[0]\t $row[1]\t $row[2]\t $row[3]\t $row[4]\t $row[5]\n";
		}
		$p=fopen("$archivo","a");
		if($p){
			if ($sw==1){
				fputs($p,$cabezera);
				$sw=0;
			}
			fputs($p,$fila);
		}
		fclose($p);
		$mensaje=1;
	}
	if ($accion==4) {		/////////////////////	CONSTANTE INDIVIDUAL		//////////////////////////
		$consulta=mysql_query($query) or die ($query);
		$filas=mysql_num_rows($consulta);
		////////////////////////////////////////////////////////
		$archivo= "exportar\CONSTANTE_INDIVIDUAL.xls";
		if (!file_exists($archivo)) {
			$sw=1;
			$cabezera="CÓDIGO\t CEDULA\t NOMINA\t MONTO\n";
		}
		for ($i=0; $i<=$filas; $i++) {
			$row=mysql_fetch_array($consulta);
			$fila.="$row[0]\t $row[1]\t $row[2]\t $row[3]\n";
		}
		$p=fopen("$archivo","a");
		if($p){
			if ($sw==1){
				fputs($p,$cabezera);
				$sw=0;
			}
			fputs($p,$fila);
		}
		fclose($p);
		$mensaje=1;
	}
	if ($accion==5) {		/////////////////////	ESTRUCTURAS		//////////////////////////
		$consulta=mysql_query($query) or die ($query);
		$filas=mysql_num_rows($consulta);
		////////////////////////////////////////////////////////
		$archivo= "exportar\ESTRUCTURAS_ORGANIZACIONAL.xls";
		if (!file_exists($archivo)) {
			$sw=1;
			$cabezera="CÓDIGO\t TABLA\t DETALLE\n";
		}
		for ($i=0; $i<=$filas; $i++) {
			$row=mysql_fetch_array($consulta);
			$fila.="$row[0]\t $row[1]\t $row[2]\n";
		}
		$p=fopen("$archivo","a");
		if($p){
			if ($sw==1){
				fputs($p,$cabezera);
				$sw=0;
			}
			fputs($p,$fila);
		}
		fclose($p);
		$mensaje=1;
	}

	if ($accion==6) {		/////////////////////	NOMINA	//////////////////////////
		$consulta=mysql_query($query) or die ($query);
		$filas=mysql_num_rows($consulta);
		////////////////////////////////////////////////////////
		$archivo= "exportar\NOMINA.xls";
		if (!file_exists($archivo)) {
			$sw=1;
			$cabezera="CÓDIGO\t DETALLE\t PERIODO\t CUENTA\t TIPO\n";
		}
		for ($i=0; $i<=$filas; $i++) {
			$row=mysql_fetch_array($consulta);
			$fila.="$row[0]\t $row[1]\t $row[2]\t $row[3]\t $row[4]\n";
		}
		$p=fopen("$archivo","a");
		if($p){
			if ($sw==1){
				fputs($p,$cabezera);
				$sw=0;
			}
			fputs($p,$fila);
		}
		fclose($p);
		$mensaje=1;
	}
	if ($accion==7) {		/////////////////////	PERIODO	//////////////////////////
		$consulta=mysql_query($query) or die ($query);
		$filas=mysql_num_rows($consulta);
		////////////////////////////////////////////////////////
		$archivo= "exportar\PERIODO.xls";
		if (!file_exists($archivo)) {
			$sw=1;
			$cabezera="NOMINA\t PERIODO\t DESDE\t HASTA\n";
		}
		for ($i=0; $i<=$filas; $i++) {
			$row=mysql_fetch_array($consulta);
			$fila.="$row[0]\t $row[1]\t $row[2]\t $row[3]\n";
		}
		$p=fopen("$archivo","a");
		if($p){
			if ($sw==1){
				fputs($p,$cabezera);
				$sw=0;
			}
			fputs($p,$fila);
		}
		fclose($p);
		$mensaje=1;
	}
	if ($accion==8) {		/////////////////////	PAYROLL	//////////////////////////
		$consulta=mysql_query($query) or die ($query);
		$filas=mysql_num_rows($consulta);
		////////////////////////////////////////////////////////
		$archivo= "exportar\$archivo.xls";
		if (!file_exists($archivo)) {
			$sw=1;
			$cabezera="CEDULA\t CONCEPTO\t DESCONCEPTO\t TIPO\t MONTO\t SALDO\t CANTIDAD\t NOMINA\t DESNOMINA\t PERIODO\t DESPERIODO\n";
		}
		for ($i=0; $i<=$filas; $i++) {
			$row=mysql_fetch_array($consulta);
			$fila.="$row[0]\t $row[1]\t $row[2]\t $row[3]\t $row[4]\t $row[5]\t $row[6]\t $row[7]\t $row[8]\t $row[9]\t $row[10]\n";
		}
		$p=fopen("$archivo","a");
		if($p){
			if ($sw==1){
				fputs($p,$cabezera);
				$sw=0;
			}
			fputs($p,$fila);
		}
		fclose($p);
		$mensaje=1;
	}
	if ($mensaje==1) {
		echo "
		<script language=Javascript>
			alert('¡¡¡¡Los datos se exportarón exitosamente!!!!');
		</script>
		";
	}
	mysql_free_result($consulta);
?>
</font></body>
</html>